Public Member Functions | Public Attributes | Protected Member Functions | Friends | List of all members
clan::ViewController Class Reference

`#include <view_controller.h>`

Inheritance diagram for clan::ViewController:

## Public Member Functions
| ViewController ()
| ~ViewController ()
void | add_child_controller (const std::shared_ptr< ViewController > &view_controller)
const std::vector< std::shared_ptr< ViewController > > & | child_controllers () const
ViewController * | parent_controller () const
void | remove_from_parent_controller ()

## Public Attributes
std::shared_ptr< View > | view

## Protected Member Functions
virtual void | child_controller_added (const std::shared_ptr< ViewController > &view_controller)
virtual void | child_controller_removed (const std::shared_ptr< ViewController > &view_controller)

## Friends
class | ViewControllerImpl

## Constructor & Destructor Documentation

clan::ViewController::ViewController | ( |  | ) |

clan::ViewController::~ViewController | ( |  | ) |

## Member Function Documentation

void clan::ViewController::add_child_controller | ( | const std::shared_ptr< ViewController > & | view_controller | ) |

virtual void clan::ViewController::child_controller_added | ( | const std::shared_ptr< ViewController > & | view_controller | ) |
| protected virtual

virtual void clan::ViewController::child_controller_removed | ( | const std::shared_ptr< ViewController > & | view_controller | ) |
| protected virtual

const std::vector<std::shared_ptr<ViewController> >& clan::ViewController::child_controllers | ( |  | ) | const

ViewController* clan::ViewController::parent_controller | ( |  | ) | const

void clan::ViewController::remove_from_parent_controller | ( |  | ) |

## Friends And Related Function Documentation

friend class ViewControllerImpl
| friend

## Member Data Documentation

std::shared_ptr<View> clan::ViewController::view

The documentation for this class was generated from the following file:

- view_controller.h